unit rf_unit;

interface

 Function fw_init(prot:integer;baud:longint):integer; stdcall;
  far;external 'umf.dll' name 'fw_init';

 Function fw_exit(icdev:integer):smallint; stdcall;
  far;external 'umf.dll' name 'fw_exit' ;

 Function fw_halt(icdev:integer):smallint; stdcall;
  far;external 'umf.dll' name 'fw_halt';

 Function fw_beep(icdev:integer;stime:smallint):smallint; stdcall;
  far;external 'umf.dll' name 'fw_beep';

 Function hex_a(hexbuf:pchar;abuf:pchar;hexlen:integer):smallint;stdcall;
 far;external 'umf.dll' name 'hex_a';

 Function a_hex(abuf:pchar;hexbuf:pchar;alen:integer):smallint;stdcall;
 far;external 'umf.dll' name 'a_hex';

 Function fw_config_card(icdev:integer;flag:integer):smallint;stdcall;
 far;external 'umf.dll' name 'fw_config_card';

 //ICode2¿¨º¯Êý

 Function fw_inventory(icdev:THandle;flags:smallint;AFI:smallint;masklen:smallint;rlen:pchar;rbuff:pchar):smallint;stdcall;
 far;external 'umf.dll' name 'fw_inventory';

 Function fw_select_uid(icdev:THandle;flags:smallint;UID:pchar):smallint;stdcall;
 far;external 'umf.dll' name 'fw_select_uid';

 Function fw_setcpu(icdev:THandle;samid:smallint):smallint;stdcall;
 far;external 'umf.dll' name 'fw_setcpu';

 Function fw_reset_to_ready(icdev:THandle;flags:smallint; UID:pchar):smallint;stdcall;
 far;external 'umf.dll' name 'fw_reset_to_ready';

 Function fw_get_securityinfo(icdev:THandle;flags: smallint;startblk:smallint;
 cntblk:smallint;UID:pchar;rlen:pchar;rebuf:pchar):smallint;stdcall;
 far;external 'umf.dll' name 'fw_get_securityinfo';

 Function fw_readblock(icdev:THandle;flags:smallint;startblk:smallint;
 cntblk:smallint;UID:pchar;rlen:pchar;rebuf:pchar):smallint;stdcall;
 far ;external 'umf.dll' name 'fw_readblock';

 Function  fw_writeblock(icdev:THandle;flag:smallint;startblk:smallint;
 cntblk:smallint;UID:pchar;rlen:smallint;rebuf:pchar):smallint;stdcall;
 far ;external 'umf.dll' name 'fw_writeblock';

implementation

end.
